Menu

文档

搭建编译环境

硬件要求

编译openGauss的硬件要求:

  • 机器数量:1台
  • 机器硬件规格:
    • CPU: 4U
    • Memory: 8G
    • Free Disk:100G (Linux 64位)

软件要求

操作系统要求

openGauss支持的操作系统:

  • CentOS 7.6 (x86 架构)
  • openEuler-20.03-LTS (aarch64 架构)

软件依赖要求

编译openGauss的软件依赖要求如表 软件依赖要求所示。

建议使用上述操作系统安装光盘或者源中,下列依赖软件的默认安装包,若不存在下列软件,可参看软件对应的建议版本。

表 1 软件依赖要求

所需软件

建议版本

libaio-devel

建议版本:0.3.109-13

flex

要求版本:2.5.31 以上

bison

建议版本:2.7-4

ncurses-devel

建议版本:5.9-13.20130511

glibc-devel

建议版本:2.17-111

patch

建议版本:2.7.1-10

lsb_release

建议版本:4.1

readline-devel

建议版本:7.0-13

环境变量配置

编译openGauss的环境变量配置已经统一写入一键式编译和打包脚本,因此无需自行配置。

若想不使用一键式编译脚本,则需要手动配置环境变量,将在版本编译中的软件安装编译介绍。

本文档遵循知识共享许可协议CC 4.0 (http://creativecommons.org/Licenses/by/4.0/)。